net.corda.client.fxutils

## Class ReadOnlyBackedObservableMapBase<K,A,B>

- net.corda.client.fxutils.ReadOnlyBackedObservableMapBase<K,A,B>

- Type Parameters:
    `K` - The key type.
    `A` - The exposed map element type.
    `B` - Auxiliary data subclasses may wish to store in the backing map.
  Direct Known Subclasses:
    AssociatedList, LeftOuterJoinedMap

      public class ReadOnlyBackedObservableMapBase<K,A,B>

  `class ReadOnlyBackedObservableMapBase` is a base class implementing all abstract functions required for an ObservableMap using a backing HashMap that subclasses should modify.

  Non-read-only API calls throw.

  See Also:
    `class ReadOnlyBackedObservableMapBase`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyBackedObservableMapBase()` `class ReadOnlyBackedObservableMapBase` is a base class implementing all abstract functions required for an ObservableMap using a backing HashMap that subclasses should modify.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(javafx.beans.InvalidationListener listener)`
    `void` | `addListener(javafx.collections.MapChangeListener<? super K,? super A> listener)`
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set` | `entrySet()`
    `void` | `fireChange(javafx.collections.MapChangeListener.Change<? extends K,? extends A> change)`
    `A` | `get(java.lang.Object key)`
    `java.util.HashMap<K,kotlin.Pair>` | `getBackingMap()`
    `java.util.Set<java.util.Map.Entry>` | `getEntries()`
    `java.util.Set<K>` | `getKeys()`
    `int` | `getSize()`
    `java.util.Collection<A>` | `getValues()`
    `boolean` | `isEmpty()`
    `java.util.Set` | `keySet()`
    `A` | `put(K key, A value)`
    `void` | `putAll(java.util.Map<? extends K,? extends A> from)`
    `A` | `remove(java.lang.Object key)`
    `void` | `removeListener(javafx.beans.InvalidationListener listener)`
    `void` | `removeListener(javafx.collections.MapChangeListener<? super K,? super A> listener)`
    `int` | `size()`
    `java.util.Collection` | `values()`

- - ### Constructor Detail

    - #### ReadOnlyBackedObservableMapBase

          public ReadOnlyBackedObservableMapBase()

      `class ReadOnlyBackedObservableMapBase` is a base class implementing all abstract functions required for an ObservableMap using a backing HashMap that subclasses should modify.

      Non-read-only API calls throw.

      See Also:
        `class ReadOnlyBackedObservableMapBase`

  - ### Method Detail

    - #### getBackingMap

          public java.util.HashMap<K,kotlin.Pair> getBackingMap()

    - #### fireChange

          public void fireChange(javafx.collections.MapChangeListener.Change<? extends K,? extends A> change)

    - #### addListener

          public void addListener(javafx.beans.InvalidationListener listener)

    - #### addListener

          public void addListener(javafx.collections.MapChangeListener<? super K,? super A> listener)

    - #### removeListener

          public void removeListener(javafx.beans.InvalidationListener listener)

    - #### removeListener

          public void removeListener(javafx.collections.MapChangeListener<? super K,? super A> listener)

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

    - #### get

          public A get(java.lang.Object key)

    - #### isEmpty

          public boolean isEmpty()

    - #### getEntries

          public java.util.Set<java.util.Map.Entry> getEntries()

    - #### entrySet

          public java.util.Set entrySet()

    - #### getKeys

          public java.util.Set<K> getKeys()

    - #### keySet

          public java.util.Set keySet()

    - #### getValues

          public java.util.Collection<A> getValues()

    - #### values

          public java.util.Collection values()

    - #### clear

          public void clear()

    - #### put

          public A put(K key,
                       A value)

    - #### putAll

          public void putAll(java.util.Map<? extends K,? extends A> from)

    - #### remove

          public A remove(java.lang.Object key)